## -*- coding: utf-8; mode: python; -*-
# -*- coding: utf-8; -*-
"""
${name} setup script
"""

import os
from setuptools import setup, find_packages


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, '${pkg_name}', '_version.py')).read())
README = open(os.path.join(here, 'README.md')).read()


setup(
    name = "${pypi_name}",
    version = __version__,
    author = "Your Name",
    author_email = "you@example.com",
    # url = "https://example.com/",
    description = "${description}",
    long_description = README,

    classifiers = [

        # TODO: remove this if you intend to publish your project
        # (it's here by default, to prevent accidental publishing)
        'Private :: Do Not Upload',

        % for classifier in sorted(classifiers):
        '${classifier}',
        % endfor
    ],

    install_requires = [
        % for pkg, spec in requires.items():
        % if spec:
        '${pkg if spec is True else spec}',
        % endif
        % endfor

        # TODO: these may be needed to build/release package
        #'build',
        #'invoke',
        #'twine',
    ],
    packages = find_packages(),
    include_package_data = True,

    entry_points = {
        % for key, values in entry_points.items():
        '${key}': [
            % for value in values:
            '${value}',
            % endfor
        ],
        % endfor
    },
)
